pthbs

Packaging Through Hashed Build Scripts
git clone https://ccx.te2000.cz/git/pthbs
Log | Files | Refs | Submodules | README

check_static (345B)


      1 check_static() {
      2 	local exe || true
      3 	exe=$pthbs_destdir/'{{versions}}'/$pthbs_package/$1
      4 	if ! test -f $exe; then
      5 		printf '%s\n' "Error: file '$1' doesn't exist!"
      6 		exit 1
      7 	fi
      8 	interp_info=$(readelf --string-dump=.interp "$exe") || exit $?
      9 	if test x '!=' "x$interp_info"; then
     10 		printf '%s\n' "Error: '$1' is a dynamic binary!"
     11 		exit 1
     12 	fi
     13 }